package org.develop.officialjournal.controllers;

import java.util.List;

import org.develop.officialjournal.services.Database;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import dao.DAOLawyer;
import dao.DAOProcess;
import dao.DAOSearch;
import entity.DOProcess;
import entity.Entity;
import entity.Lawyer;

@RestController
public class ProcessController {

	private DAOSearch daoSearch;
	private DAOProcess daoProcess;


	public ProcessController() {

		daoSearch =  Database.get().getDaoSearch();
		daoProcess = Database.get().getDaoProcess();

	}


	/**returns lawyer by id*/

	@RequestMapping("/process/{id}")
	public DOProcess getById(@PathVariable Integer id ) {

		DOProcess process = this.daoProcess.get(id);
		return process;

	}

	@RequestMapping("/process/entity")
	public List<DOProcess> getProcessByEntity(@RequestParam (required = true) Integer entityId,@RequestParam (required = true) String type ) 
	{
		Entity entity = new Entity();
		entity.setId(entityId);
		entity.setType(type);
		return daoSearch.search(entity, true);

	}







}